## export_ewnet

Type: netlist.

### netlist export

Exports in the ewnet netlist format (probably used by NI's Ultiboard) with the following characteristics:

- illegal character in string: " (breaks output)

#### Attribute usage

For components the following attributes are used to construct file-format specified fields:

- component's display/footprint (fallback: footprint attribute)
- component's display/value (fallback: value attribute)
- component's display/device (fallback: device attribute)
- ports's display/pinname (fallback: port's name)

Other custom attributes that have an export name are exported for:

- components
- networks

#### Omit and DNP

The plugin will not export components and networks that have the display/omit attribute set.

The plugin will export objects that have the display/dnp attribute set. To get the DNP information passed on, use the export naming mechanism of a target plugin in the view.